Subject: Re: [Bug-guile-ncurses] Guile-NCurses test failure when built against NCurses 6.0

From: Mike Gran <[email-masked]>
Date: Sat, 17 Oct 2015 16:50:16 +0000 (UTC)

>>>>   Guile-NCurses 1.6 has one test failure when built against NCurses 
> 6.0:
>>>> 
>>> 
>>>>   FAIL: getwin/putwin: putwin
>>>>   ERROR: getwin/putwin: getwin - arguments: ((srfi-34 #<condition 
> 
>>>>   &curses-wrong-type-arg-error [arg: #f expected-type: window] 
>>  e7d210>))
>>> 
>>>>   Any ideas?

Okay.  I've tried some of the combinations of Guile, Ncurses and OS
and getwin/putwin is broken in different ways with different combinations.

No one uses those functions anyway, as far as I can tell.

I think the plan is to put out a guile-ncurses 1.7 that just eliminates
it.  And then soon, put out a guile-ncurses 2.0 that will require guile-2.0.11+
and ncurses 6.0+, and re-evaluate whether it is worth it to fix
those functions.

I'll try to put out guile-ncurses 1.7 this week.

-Mike